Last Comment Bug 530361 - Replace PR_MIN/PR_MAX with NS_MIN/NS_MAX in /intl
: Replace PR_MIN/PR_MAX with NS_MIN/NS_MAX in /intl
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: All All
: -- minor (vote)
: ---
Assigned To: Jae-Seong Lee-Russo
:
: Makoto Kato [:m_kato]
Mentors:
Depends on:
Blocks: 518502
  Show dependency treegraph
 
Reported: 2009-11-21 19:57 PST by Jae-Seong Lee-Russo
Modified: 2011-07-06 15:54 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Search&Replace, 0 (2.72 KB, patch)
2009-11-21 19:58 PST, Jae-Seong Lee-Russo
smontagu: review+
Details | Diff | Splinter Review
Add #include (3.20 KB, patch)
2009-12-13 10:11 PST, Jae-Seong Lee-Russo
no flags Details | Diff | Splinter Review

Description Jae-Seong Lee-Russo 2009-11-21 19:57:06 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.3a1pre) Gecko/20091120 Minefield/3.7a1pre (.NET CLR 3.5.30729)
Build Identifier: 

Please see Bug #512106.

Reproducible: Always
Comment 1 Jae-Seong Lee-Russo 2009-11-21 19:58:51 PST
Created attachment 413871 [details] [diff] [review]
Search&Replace, 0
Comment 2 Phil Ringnalda (:philor) 2009-12-12 14:47:16 PST
From an OS X build:
nsUCSupport.cpp
/Users/philor/mc/mozilla/intl/uconv/util/nsUCSupport.cpp: In member function ‘void nsBufferDecoderSupport::FillBuffer(const char**, PRInt32)’:
/Users/philor/mc/mozilla/intl/uconv/util/nsUCSupport.cpp:110: error: ‘NS_MIN’ was not declared in this scope
Comment 3 Jae-Seong Lee-Russo 2009-12-13 10:11:22 PST
Created attachment 417360 [details] [diff] [review]
Add #include

I have only Windows XP, so I could not test this on other platforms.  I included "nsAlgorithm.h" in nsUCSupport.cpp.  Will this fix the build error on OS X?
Comment 4 Phil Ringnalda (:philor) 2009-12-13 11:07:20 PST
No, according to the tryserver, that breaks all three platforms -

nsUnicodeToUTF8.cpp
/builds/slave/sendchange-macosx-hg/build/intl/uconv/src/nsUTF8ToUnicode.cpp: In member function 'virtual nsresult nsUTF8ToUnicode::Convert(const char*, PRInt32*, PRUnichar*, PRInt32*)':
/builds/slave/sendchange-macosx-hg/build/intl/uconv/src/nsUTF8ToUnicode.cpp:335: error: 'NS_MIN' was not declared in this scope

nsUTF8ToUnicode.cpp
/builds/slave/sendchange-linux-hg/build/intl/uconv/src/nsUTF8ToUnicode.cpp: In member function ‘virtual nsresult nsUTF8ToUnicode::Convert(const char*, PRInt32*, PRUnichar*, PRInt32*)’:
/builds/slave/sendchange-linux-hg/build/intl/uconv/src/nsUTF8ToUnicode.cpp:335: error: ‘NS_MIN’ was not declared in this scope

nsUTF8ToUnicode.cpp
e:/builds/slave/win32-hg/build/intl/uconv/src/nsUTF8ToUnicode.cpp(335) : error C3861: 'NS_MIN': identifier not found
Comment 5 Jae-Seong Lee-Russo 2009-12-13 13:53:34 PST
I updated my tree, did 'hg update -C tip' and applied the 2nd patch (Add #include); the build was successful on my computer (Windows XP), the tryserver says the otherwise, so I am not sure how to test the patches for bugs including this and others that fail on OS X.

I think adding #include "nsAlgorithm.h" to files that fail will solve the problem, but is it a good solution?
Comment 6 Ed Morley [:emorley] 2011-07-06 15:54:38 PDT
Fixed by bug 661584.

Note You need to log in before you can comment on or make changes to this bug.